Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class AppearanceStates

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDataObject>
          org.pdfclown.documents.interaction.annotations.AppearanceStates

All Implemented Interfaces:
  Cloneable, Map<PdfName,FormXObject>, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class AppearanceStates

extends PdfObjectWrapper<PdfDataObject>
implements Map<PdfName,FormXObject>

Appearance states [PDF:1.6:8.4.4].

Since:
  0.0.7
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`void` | `clear()` Gets the key associated to a given value.
`AppearanceStates` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<PdfName,FormXObject>>` | `entrySet()`
`boolean` | `equals(Object object)`
`FormXObject` | `get(Object key)`
`Appearance` | `getAppearance()` Gets the appearance associated to these states.
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<PdfName>` | `keySet()`
`FormXObject` | `put(PdfName key, FormXObject value)`
`void` | `putAll(Map<? extends PdfName,? extends FormXObject> entries)`
`FormXObject` | `remove(Object key)`
`int` | `size()`
`Collection<FormXObject>` | `values()`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public AppearanceStates clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDataObject>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getAppearance

    public Appearance getAppearance()

  Gets the appearance associated to these states.

### clear

    public void clear()

  Gets the key associated to a given value.

  Specified by:
    `clear` in interface `Map<PdfName,FormXObject>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<PdfName,FormXObject>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<PdfName,FormXObject>`

### entrySet

    public Set<Map.Entry<PdfName,FormXObject>> entrySet()

  Specified by:
    `entrySet` in interface `Map<PdfName,FormXObject>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map<PdfName,FormXObject>`
  Overrides:
    `equals` in class `PdfObjectWrapper<PdfDataObject>`

### get

    public FormXObject get(Object key)

  Specified by:
    `get` in interface `Map<PdfName,FormXObject>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<PdfName,FormXObject>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<PdfName,FormXObject>`

### keySet

    public Set<PdfName> keySet()

  Specified by:
    `keySet` in interface `Map<PdfName,FormXObject>`

### put

    public FormXObject put(PdfName key,
                           FormXObject value)

  Specified by:
    `put` in interface `Map<PdfName,FormXObject>`

### putAll

    public void putAll(Map<? extends PdfName,? extends FormXObject> entries)

  Specified by:
    `putAll` in interface `Map<PdfName,FormXObject>`

### remove

    public FormXObject remove(Object key)

  Specified by:
    `remove` in interface `Map<PdfName,FormXObject>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<PdfName,FormXObject>`

### values

    public Collection<FormXObject> values()

  Specified by:
    `values` in interface `Map<PdfName,FormXObject>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.